%define upstream_name    XML-RSS-LibXML
%define upstream_version 0.3105

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Epoch:      1

Summary:    Represent A Non-Trivial RSS Element
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(XML::LibXML) >= 1.660.0
BuildRequires: perl(XML::LibXML::XPathContext)
BuildArch:  noarch

%{?perl_default_filter}

%description
XML::RSS::LibXML uses XML::LibXML (libxml2) for parsing RSS instead of
XML::RSS' XML::Parser (expat), while trying to keep interface compatibility
with XML::RSS.

XML::RSS is an extremely handy tool, but it is unfortunately not exactly
the most lean or efficient RSS parser, especially in a long-running
process. So for a long time I had been using my own version of RSS parser
to get the maximum speed and efficiency - this is the re-packaged version
of that module, such that it adheres to the XML::RSS interface.

Use this module when you have severe performance requirements working with
RSS files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:0.310.500-8.mga8
+ Revision: 1498491
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:0.310.500-7.mga7
+ Revision: 1272789
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:0.310.500-6.mga6
+ Revision: 1036066
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1:0.310.500-5.mga6
+ Revision: 940967
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.310.500-4.mga5
+ Revision: 739524
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:0.310.500-3.mga5
+ Revision: 732670
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:0.310.500-2.mga5
+ Revision: 686952
- Mageia 5 Mass Rebuild

* Tue May 06 2014 jquelin <jquelin> 1:0.310.500-1.mga5
+ Revision: 620813
- update to 0.3105

* Thu Mar 13 2014 jquelin <jquelin> 1:0.310.400-1.mga5
+ Revision: 603055
- update to 0.3104

* Tue Feb 25 2014 jquelin <jquelin> 1:0.310.300-1.mga5
+ Revision: 597080
- update to 0.3103

* Fri Oct 18 2013 umeabot <umeabot> 1:0.310.200-3.mga4
+ Revision: 516188
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.310.200-2.mga3
+ Revision: 375135
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 1:0.310.200-1.mga2
+ Revision: 148257
- update to 0.3102

* Fri Jul 08 2011 jquelin <jquelin> 1:0.310.100-1.mga2
+ Revision: 120532
- update to 0.3101

* Mon Jan 24 2011 jquelin <jquelin> 1:0.310.0-1.mga1
+ Revision: 37246
- mageia rebuild
- imported package perl-XML-RSS-LibXML


* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:0.310.0-1mdv2011.0
+ Revision: 551209
- bump epoch
- update to 0.3100

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.3004-2mdv2010.0
+ Revision: 440769
- rebuild

* Thu Mar 05 2009 Michael Scherer <misc@mandriva.org> 0.3004-1mdv2009.1
+ Revision: 348894
- import perl-XML-RSS-LibXML


